#include <iostream>
using namespace std;
long long a[100000];
bool wyr[10000];
bool dol[10000];
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long N,mest=0,nen=0;
    cin>>N;
    for(long long i=0; i<N; i++)
    {
        cin>>a[i];
    }
    for(long long i=0; i<N; i++)
    {
        if(a[i]>a[i+1] && a[i]>a[i-1])
        {
            wyr[i]=true;
        }
    }
    for(long long i=0; i<N; i++)
    {
        if(a[i]<a[i+1] && a[i]<a[i-1])
        {
            dol[i]=true;
        }
    }
    for(long long i=0; i<N-1; i++)
    {
        for(long long j=i+1; j<N; j++)
        {
            for(long long z=i+1; z<j; z++)
            {
                nen+=wyr[z]+dol[z];
            }
            if(nen==0)
            {
                mest++;
            }
            nen=0;
        }
    }
    cout<<mest*2<<'\n';
    return 0;
}
